Package com.google.android.exoplayer2.trackselection

## Class ExoTrackSelection.Definition

- java.lang.Object
- - com.google.android.exoplayer2.trackselection.ExoTrackSelection.Definition

- Enclosing interface:
    ExoTrackSelection

      public static final class ExoTrackSelection.Definition
      extends Object

  Contains of a subset of selected tracks belonging to a `TrackGroup`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `TrackGroup` | `group` | The `TrackGroup` which tracks belong to.
    `int[]` | `tracks` | The indices of the selected tracks in `group`.
    `int` | `type` | The type that will be returned from `TrackSelection.getType()`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Definition​(TrackGroup group, int... tracks)` |
    `Definition​(TrackGroup group, int[] tracks, int type)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### group

          public final TrackGroup group

      The `TrackGroup` which tracks belong to.

    - #### tracks

          public final int[] tracks

      The indices of the selected tracks in `group`.

    - #### type

          public final int type

      The type that will be returned from `TrackSelection.getType()`.

  - ### Constructor Detail

    - #### Definition

          public Definition​(TrackGroup group,
                            int... tracks)

      Parameters:
        `group` - The `TrackGroup`. Must not be null.
        `tracks` - The indices of the selected tracks within the `TrackGroup`. Must not be null or empty. May be in any order.

    - #### Definition

          public Definition​(TrackGroup group,
                            int[] tracks,
                            int type)

      Parameters:
        `group` - The `TrackGroup`. Must not be null.
        `tracks` - The indices of the selected tracks within the `TrackGroup`. Must not be null or empty. May be in any order.
        `type` - The type that will be returned from `TrackSelection.getType()`.